commit:     542dbffa42c3dd739ba66516609968170d539a6d
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 23 15:25:59 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Feb 23 15:28:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=542dbffa

app-text/xdvik: Use a higher resolution icon

Use an icon with higher resolution for the menu entry. Also handle the
duplicated desktop file as upstream started to provide a (partially incomplete)
one. Rely on our generated file for now after syncing both as much as possible.

Closes: https://bugs.gentoo.org/882737
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-text/xdvik/Manifest                 |   1 +
 app-text/xdvik/xdvik-22.87.06-r1.ebuild | 117 ++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/app-text/xdvik/Manifest b/app-text/xdvik/Manifest
index df2f7b7bf9c2..946aa23510de 100644
--- a/app-text/xdvik/Manifest
+++ b/app-text/xdvik/Manifest
@@ -1,2 +1,3 @@
 DIST xdvik-22.87.03.tar.gz 4760306 BLAKE2B 
d242696fadf2980cd307d4a172d2af06d98d07b090279440117f869c9a623bcade8745d7a4d3c108c4eafbdeaadefb8d5ba1ea00bdf77d350cbf83c49c2ca0fb
 SHA512 
d4d418d78658f16d4d278e387ed484b291afc8623b00acaf4110e9f123ed76568714ad50f80588373657f412e8fff36f3e76b3e43f69756d46f031c0f2269a88
 DIST xdvik-22.87.06.tar.gz 5922131 BLAKE2B 
88821b7642d2d79158f5b49a7d23dad2209750a44d2b75f131d77a5ee326670d2a9cf09246ea9226a386bce429890459625d87df697599529de1bfc32438bf64
 SHA512 
93fb231f20ef76e170ae954d076ac5421669b3db71e3a96561626736d516f639227e3e502012ba4612fd238172b82f512985c571702d6c0ce078e60a67e5b19f
+DIST xdvik_192.png 77893 BLAKE2B 
533910801cd981a39c42851be2779f98ecf7fcec8ef2a167005521e39d8ef66d8eb806b382451ebf88da62ba61afba82b8d15a60ef6ba347bd2ff848f10253ed
 SHA512 
7fa6becc3601df01134cd163e461780b9ab4ee855788e38dc3d255d491294c033f040326016df7671ff301cc8f91462209e1fda5e50cb383f5407f0c1021d71d

diff --git a/app-text/xdvik/xdvik-22.87.06-r1.ebuild 
b/app-text/xdvik/xdvik-22.87.06-r1.ebuild
new file mode 100644
index 000000000000..4e0b3e1fbc70
--- /dev/null
+++ b/app-text/xdvik/xdvik-22.87.06-r1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools desktop elisp-common flag-o-matic toolchain-funcs xdg
+
+DESCRIPTION="DVI viewer for X Window System"
+HOMEPAGE="http://xdvi.sourceforge.net/";
+SRC_URI="mirror://sourceforge/xdvi/${P}.tar.gz
+       https://dev.gentoo.org/~pacho/${PN}/${PN}_192.png";
+S="${WORKDIR}"/${P}/texk/xdvik
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+LICENSE="GPL-2"
+IUSE="motif neXt Xaw3d emacs"
+
+DEPEND=">=media-libs/freetype-2.9.1-r2:2
+       x11-libs/libX11
+       x11-libs/libXi
+       x11-libs/libXmu
+       x11-libs/libXpm
+       x11-libs/libXt
+       emacs? ( >=app-editors/emacs-23.1:* )
+       motif? ( >=x11-libs/motif-2.3:0 )
+       !motif? (
+               neXt? ( x11-libs/neXtaw )
+               !neXt? (
+                       Xaw3d? ( x11-libs/libXaw3d )
+                       !Xaw3d? ( x11-libs/libXaw )
+               )
+       )
+       dev-libs/kpathsea:="
+RDEPEND="${DEPEND}
+       virtual/latex-base
+       !<app-text/texlive-2007"
+BDEPEND="sys-devel/flex
+       app-alternatives/yacc
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       # Make sure system kpathsea headers are used
+       cd "${WORKDIR}/${P}/texk/kpathsea" || die
+       local i
+       for i in *.h ; do
+               echo "#include_next \"$i\"" > ${i} || die
+       done
+
+       cd "${WORKDIR}/${P}" || die
+       cd "${S}" || die
+       eapply "${FILESDIR}"/${PN}-22.87.06-configure-clang16.patch
+       eautoreconf
+}
+
+src_configure() {
+       has_version '>=dev-libs/kpathsea-6.2.1' && append-cppflags 
"$($(tc-getPKG_CONFIG) --cflags kpathsea)"
+
+       local toolkit
+       if use motif ; then
+               toolkit="motif"
+               use neXt && ewarn "neXt USE flag ignored (superseded by motif)"
+               use Xaw3d && ewarn "Xaw3d USE flag ignored (superseded by 
motif)"
+       elif use neXt ; then
+               toolkit="neXtaw"
+               use Xaw3d && ewarn "Xaw3d USE flag ignored (superseded by neXt)"
+       elif use Xaw3d ; then
+               toolkit="xaw3d"
+       else
+               toolkit="xaw"
+       fi
+
+       econf \
+               --with-system-freetype2 \
+               --with-system-kpathsea \
+               --with-kpathsea-include="${EPREFIX}"/usr/include/kpathsea \
+               --with-xdvi-x-toolkit="${toolkit}" \
+               --x-includes="${ESYSROOT}"/usr/include \
+               --x-libraries="${ESYSROOT}"/usr/$(get_libdir)
+}
+
+src_compile() {
+       emake kpathsea_dir="${EPREFIX}"/usr/include/kpathsea
+
+       use emacs && elisp-compile xdvi-search.el
+}
+
+src_install() {
+       dodir /usr/share/texmf-dist/dvips/config
+
+       emake DESTDIR="${D}" install
+
+       dosym ../../texmf-dist/xdvi/XDvi /usr/share/X11/app-defaults/XDvi
+
+       dodoc BUGS FAQ README.*
+
+       use emacs && elisp-install tex-utils *.el *.elc
+
+       doicon "${FILESDIR}"/${PN}.xpm
+       newicon -s 192 "${DISTDIR}"/${PN}_192.png ${PN}.png
+       make_desktop_entry "xdvi %f" "XDvi" xdvik "Graphics;Viewer" 
"MimeType=application/x-dvi;"
+       # Our desktop file is more complete
+       rm "${ED}/usr/share/applications/xdvi.desktop" || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if use emacs; then
+               elog "Add"
+               elog "  (add-to-list 'load-path 
\"${EPREFIX}${SITELISP}/tex-utils\")"
+               elog "  (require 'xdvi-search)"
+               elog "to your ~/.emacs file"
+       fi
+}

Reply via email to